'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getEntropy = getEntropy;
exports.makeECPrivateKey = makeECPrivateKey;
exports.publicKeyToAddress = publicKeyToAddress;

var _crypto = require('crypto');

var _bitcoinjsLib = require('bitcoinjs-lib');

function getEntropy(numberOfBytes) {
  if (!numberOfBytes) {
    numberOfBytes = 32;
  }
  return (0, _crypto.randomBytes)(numberOfBytes);
}

function makeECPrivateKey() {
  var keyPair = new _bitcoinjsLib.ECPair.makeRandom({ rng: getEntropy });
  return keyPair.d.toBuffer(32).toString('hex');
}

function publicKeyToAddress(publicKey) {
  var publicKeyBuffer = new Buffer(publicKey, 'hex');
  var keyPair = _bitcoinjsLib.ECPair.fromPublicKeyBuffer(publicKeyBuffer);
  return keyPair.getAddress();
}